<?php if($execution->type == 'stage'):?>
<?php
$html  = '<tr>';
$html .= '<th>';
$html .= $lang->task->design;
$html .= '</th>';
$html .= '<td colspan=3>';
$html .= html::select('design', '', '', "class='form-control chosen'");
$html .= '</td>';
$html .= '<tr>';
?>
<script>
$(function()
{
    $('#story').closest('tr').after(<?php echo json_encode($html);?>);
    $('#design').chosen();
})
</script>
<?php endif;?>

<?php js::set('attribute', $execution->attribute);?>
<script>
$(function()
{
    if(attribute == 'request' || attribute == 'review')
    {
        $('#story').closest('tr').hide();
        $("input[name='after'][value='toStoryList']").parent().hide();
    }
    $('#execution').change(function()
    {
        link = createLink('execution', 'ajaxGetAttribute', "executionID=" + $('#execution').val());
        $.get(link, function(attribute)
        {
            if(attribute == 'request' || attribute == 'review')
            {
                $('#story').closest('tr').hide();
                $("input[name='after'][value='toStoryList']").parent().hide();
            }
            else
            {
                $('#story').closest('tr').show();
                $("input[name='after'][value='toStoryList']").parent().show();
            }
        })
    })
})
</script>
